Bug 1300271 (CVE-2015-7979) - CVE-2015-7979 ntp: off-path denial of service on authenticated broadcast mode
Summary: CVE-2015-7979 ntp: off-path denial of service on authenticated broadcast mode
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-7979
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1300277 1317795 1332478 1332479 1332480 1356965
Blocks: 1297474 1323912
TreeView+ depends on / blocked
 
Reported: 2016-01-20 11:43 UTC by Martin Prpič
Modified: 2019-09-29 13:42 UTC (History)
3 users (show)

Fixed In Version: ntp 4.2.8p6
Doc Type: Bug Fix
Doc Text:
It was found that when NTP was configured in broadcast mode, a remote attacker could broadcast packets with bad authentication to all clients. The clients, upon receiving the malformed packets, would break the association with the broadcast server, causing them to become out of sync over a longer period of time.
Clone Of:
Environment:
Last Closed: 2016-05-31 08:23:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1141 normal SHIPPED_LIVE Moderate: ntp security update 2016-05-31 12:11:54 UTC
Red Hat Product Errata RHSA-2016:1552 normal SHIPPED_LIVE Moderate: ntp security update 2016-08-03 11:43:21 UTC
Red Hat Product Errata RHSA-2016:2583 normal SHIPPED_LIVE Moderate: ntp security and bug fix update 2016-11-03 12:08:36 UTC

Description Martin Prpič 2016-01-20 11:43:24 UTC
It was found that when NTP is configured in broadcast mode, an off-path attacker could broadcast packets with bad authentication (wrong key, mismatched key, incorrect MAC, etc) to all clients. The clients, upon receiving the malformed packets, would break the association with the broadcast server. This could cause the time on affected clients to become out of sync over a longer period of time.

Upstream patch:

https://github.com/ntp-project/ntp/commit/fe46889f7baa75fc8e6c0fcde87706d396ce1461

Comment 2 Martin Prpič 2016-01-20 12:02:06 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1300277]

Comment 3 Martin Prpič 2016-01-21 15:25:35 UTC
Mitigation:

Do not use NTP's broadcast mode by not configuring the "broadcast" directive in the ntp.conf file.

Comment 4 Martin Prpič 2016-01-21 15:25:47 UTC
Statement:

This issue affects the versions of ntp as shipped with Red Hat Enterprise Linux 5, 6, and 7. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue in Red Hat Enterprise Linux 6 and 7. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 5 Fedora Update System 2016-01-30 18:21:24 UTC
ntp-4.2.6p5-36.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-02-21 02:24:56 UTC
ntp-4.2.6p5-36.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2016-05-31 08:12:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:1141 https://access.redhat.com/errata/RHSA-2016:1141

Comment 11 errata-xmlrpc 2016-08-03 07:43:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.7 Extended Update Support

Via RHSA-2016:1552 https://rhn.redhat.com/errata/RHSA-2016-1552.html

Comment 12 errata-xmlrpc 2016-11-03 19:33:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2583 https://rhn.redhat.com/errata/RHSA-2016-2583.html


Note You need to log in before you can comment on or make changes to this bug.